Interlaken
API referenceKubernetesKubernetes clusters

Get a managed Kubernetes cluster

GET
/api/v1/kubernetes-clusters/{id}

Requires the kubernetes_clusters:read permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/kubernetes-clusters/string"
{  "control_plane_count": 0,  "control_plane_instance_type": "string",  "created_at": "2019-08-24T14:15:22Z",  "current_version": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "k3s_version": "string",  "name": "string",  "node_subnet_id": "a3c025b0-8b13-4a6c-9fb1-fc5a6c1c241e",  "phase": "string",  "pod_subnet_id": "c777187b-683b-4302-ad35-bab5a9a7c306",  "ready_nodes": 0,  "status": "string",  "status_reason": "string",  "tags": {    "property1": "string",    "property2": "string"  },  "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",  "updated_at": "2019-08-24T14:15:22Z",  "upgrade": {    "last_error": "string",    "node_in_progress": "string",    "stage": "string",    "target_version": "string",    "updated_at": "2019-08-24T14:15:22Z"  },  "vip": "string",  "vpc_id": "26872b87-3ca9-4a41-b328-948d9c25c405",  "worker_count": 0,  "worker_instance_type": "string"}